#ifndef __WIFICTLD_SOCKET_H
#define __WIFICTLD_SOCKET_H

#include "include.h"
#include "socket_msg.h"

#define SOCKET_ADDR "::"
#define SOCKET_MADDR "ff02::31f1"
#define SOCKET_PORT "1000"

int socket_init();
void socket_close();

int socket_info(struct socket_msg *info);


int socket_request_timeout(struct socket_msg *request, struct socket_msg *answer, struct timeval timeout);

static inline int socket_request(struct socket_msg *request, struct socket_msg *answer)
{
	struct timeval tv = {
		.tv_sec = 0,
		.tv_usec = 100000,
	};
	return socket_request_timeout(request, answer, tv);
}

#endif
